no more Firefox nor Chromium running

Having issues with your DietPi installation, or, found a bug? Post it here.
Facel
Posts: 28
Joined: Thu Jan 25, 2018 2:39 pm

no more Firefox nor Chromium running

Post by Facel »

I have the latest Diepi version running on a Sparky board.

My problem is that I can't open firefox anymore under LXDE desktop environnement (I get a crash reporter window)

When I run the Web Chromium browser I have a blank windows !!!

I remember that in some prevoious version of Dietpi, firefox was running flawlessly.
User avatar
MichaIng
Site Admin
Posts: 2269
Joined: Sat Nov 18, 2017 6:21 pm

Re: no more Firefox nor Chromium running

Post by MichaIng »

@Facel
Do you remember from which version you upgraded? AFAIK we did not change something about the Firefox or Chromium install.
You could try to reinstall the Firefox package (to start with this): apt install --reinstall firefox-esr
Facel
Posts: 28
Joined: Thu Jan 25, 2018 2:39 pm

Re: no more Firefox nor Chromium running

Post by Facel »

Sorry I do not remenber ...

I have re-installed from scratch the last version but the problem is still there for Web Chromium and Firefox as well.

I am using the Allo.com Web GUI Image,with V6.24.1 Dietpi version running.

I have manually installed the chromium version 65.0.3325.181 Built on Ubuntu, running on Debian 9.9 (32bits)
Chromium is now running.

It seem that more recent chromium version does not work properly because they need the libc6 version to be above 2.28 version !

Firefox is still not running (even after an : apt install --reinstall firefox-esr)
User avatar
MichaIng
Site Admin
Posts: 2269
Joined: Sat Nov 18, 2017 6:21 pm

Re: no more Firefox nor Chromium running

Post by MichaIng »

@Facel
Ah that is helpful info. Indeed Debian Stretch only ships libc6 2.24: https://packages.debian.org/stretch/libc6
I just wonder that the Chromium package from Debian Stretch that we install of course does not require a higher version then available, actually 2.17 at max, as you can see: https://packages.debian.org/stretch/chromium

Does TinkerOS ship an own Chromium package that is not compatible with Debian Stretch? That would be clear bug, since TinkerOS AFAIK comes with Debian Stretch basis.

Please paste: apt policy chromium
Facel
Posts: 28
Joined: Thu Jan 25, 2018 2:39 pm

Re: no more Firefox nor Chromium running

Post by Facel »

result of : apt policy chromium

chromium:
Installé : 72.0.3626.122-1~deb9u1
Candidat : 72.0.3626.122-1~deb9u1
Table de version :
*** 72.0.3626.122-1~deb9u1 500
500 https://deb.debian.org/debian-security stretch/updates/main armhf Packages
100 /var/lib/dpkg/status
70.0.3538.110-1~deb9u1 500
500 http://ftp.debian.org/debian stretch/main armhf Packages

As additionnal Info : When I run Chromium, I have the following warning message
"Your profile cannot be used, because it comes from a more recent version of chromium"
" Some features could be unavailable. Please specify another profile directory or use a more recent version of chromium"
User avatar
MichaIng
Site Admin
Posts: 2269
Joined: Sat Nov 18, 2017 6:21 pm

Re: no more Firefox nor Chromium running

Post by MichaIng »

Okay so your chromium is indeed the one from Debian repo. That it should not require a newer libc6 version then what the APT package list. Such repo bugs are veeeeery rare with Debian and especially with such prominent packages like Chromium, practically impossible.

So not sure why you needed to downgrade then :?. Perhaps TinkerOS needs to adjustment then, a driver update or something, not sure. Where did you get the info about libc6 from, actually?

Since you downgraded, the error is just expected. Currently not sure where the profile dir of Chromium is, perhaps inside /root or /root/.config. You could try to simply remove all Chromium related directories from there, of course settings and such would be lost.
Facel
Posts: 28
Joined: Thu Jan 25, 2018 2:39 pm

Re: no more Firefox nor Chromium running

Post by Facel »

I have got the libc6 info when I first installed the very last version of Chromium (from debian) ... I got an error message
regarding the libc6 version needed to be 2.28 or above (cf my previous post => libc6 version to be upgrade ??)

so I looked for a chromium version released within the period the actual libc6 version was available... and I picked it :D

(by the way could you give us back the possibility to set the framebuffer at 32 bit (cf my other post) ) thank you
User avatar
MichaIng
Site Admin
Posts: 2269
Joined: Sat Nov 18, 2017 6:21 pm

Re: no more Firefox nor Chromium running

Post by MichaIng »

@Facel
About framebuffer: viewtopic.php?p=18242#p18242
____________
About Chromium: The error appeared during install (testing it right now) or when opening Chromium the first time?
Facel
Posts: 28
Joined: Thu Jan 25, 2018 2:39 pm

Re: no more Firefox nor Chromium running

Post by Facel »

Thanks for the anwser about bitdeph

The error with chromium (and also with Firefox) appears when opening the app for the first time
User avatar
MichaIng
Site Admin
Posts: 2269
Joined: Sat Nov 18, 2017 6:21 pm

Re: no more Firefox nor Chromium running

Post by MichaIng »

@Facel
Okay thanks, will try to replicate.

Kiosk mode works well. Will try to start from desktop later.
Post Reply